# nsupdate-sshfp
Keith Irwin ([www.ki9.us](https://www.ki9.us/))
[![License: MIT](https://img.shields.io/badge/License-MIT-yellow.svg)](https://opensource.org/licenses/MIT)

Bash script to update [SSHFP records](https://en.wikipedia.org/wiki/SSHFP_record) using [nsupdate](https://en.wikipedia.org/wiki/Nsupdate).  

## Installation

```sh
# git clone https://gitea.green.gf4/ki9/nsupdate-sshfp.git /usr/local/src/nsupdate-sshfp
# ln -s /usr/local/src/nsupdate-sshfp/nsupdate-sshfp /usr/local/bin/nsupdate-sshfp
# cp /usr/local/src/nsupdate-sshfp/systemd/* /etc/systemd/system/
```

## Upgrade

```sh
# cd /usr/local/src/nsupdate-sshfp/
# git pull
```

## Usage

```sh
$ nsupdate-sshfp <domain> <server> <ttl> <tsig>
```

For example: 

```sh
$ nsupdate-sshfp ssh.example.com ns.example.com 86400 'hmac-sha512:mykeyname:XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX=='
```
